Subject: Re: troubles while linking wxWindows samples...(B20.1)
From: Stipe Tolj <[email-masked]>
To: Chris <[email-masked]>
Cc: cygwin <[email-masked]>
Date: Fri, 12 Feb 1999 17:03:42 +0100

> Hi,
> Does anybody use wxWindows (a C++ framework providing GUI) ?
> I'm trying to test the samples but I get some warning during linking :
> ---------------------------------------------------------------------------
> gcc -Wl,--subsystem,windows -mwindows -L../../lib -o minimal.exe
> objects/minimal.o objects/minimal_resources.o ../../lib/libwx.a -lstdc++
> -lgcc -lwinspool -lwinmm -lshell32 -lcomctl32 -lctl3d32 -lodbc32
> -ladvapi32 -loldnames
> /cygnus/CYGWIN~1/H-I586~1/i586-cygwin32/bin/ld: warning: cannot find
> entry symbol _WinMainCRTStartup; defaulting to 00401000
> ---------------------------------------------------------------------------
> so... what is ld.exe doing ? What am I doing wrong ?

this is a common problem/warning when linking with the -mwindows option. But
the exetubale should be generated and it should be working, at least this was
the fact on the native Win32 GUIs I compiled with the V C++ framework GUI.

Where may I find the sources for this wxWindows framework?

Regards,
Stipe

--
Stipe Tolj <[email-masked]>

Cygwin Porting Project -- "We build UNIX on top of Windows"
http://www.student.uni-koeln.de/cygwin/

Department of Economical Computer Science
University of Cologne, Germany